#
# spec file for package liby2util (Version 2.8.17)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  dejagnu expect gpp kdoc libgpp libxcrypt libxcrypt-devel tcl yast2-devtools
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib dejagnu expect gcc gcc-c++ gdbm gettext kdoc libstdc++-devel libtool libxcrypt-devel perl rpm tcl yast2-devtools

Name:         liby2util
Version:      2.8.17
Release:      2
License:      YaST License
Group:        System/YaST
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Source0:      liby2util-2.8.17.tar.bz2
Summary:      YaST2  -Core logging functions

%description
YaST2  -Core logging functions

Authors:
--------
    Michael Andres <ma@suse.de>

%package devel
Requires:     liby2util = %version
Group:        System/YaST
Summary:      yast2 core logging functions

%description devel
yast2 core logging functions

Authors:
--------
    Michael Andres <ma@suse.de>

%prep
%setup -n liby2util-2.8.17

%build
y2tool y2autoconf
y2tool y2automake
autoreconf --force --install
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
[ "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "/usr/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check
for f in `find $RPM_BUILD_ROOT//usr/share/applications/YaST2/*.desktop` ; do
    d=${f##*/}
    %suse_update_desktop_file ${d%.desktop}
done

%clean
[ "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/lib*.so
%{_libdir}/lib*.la
/usr/include/YaST2
%doc /usr/share/doc/packages/liby2util

%changelog -n liby2util
* Mon Sep 26 2005 - ma@suse.de
- PathName: Fix potential buffer overflow.
  PathInfo::copy_dir: Don't preserve mode and ownership. (#117649)
- 2.8.17
* Tue Jul 06 2004 - lnussel@suse.de
- don't use system() for calling gpg (#42776).
- 2.8.16
* Tue Sep 23 2003 - ma@suse.de
- Added PathInfo::symlink
- 2.8.15
* Thu Sep 18 2003 - ma@suse.de
- Provide virtual methods Rep::ref_to and Rep::unref_to triggered
  whenever the reference counter changes.
- 2.8.12
* Thu Sep 11 2003 - ma@suse.de
- ExternalProgram: Close excess file descriptors on exec. (#30410)
- 2.8.11
* Fri Aug 29 2003 - ma@suse.de
- Adapt CallBack and ProgressCounter to packagemanager needs.
- 2.8.10
* Mon Aug 25 2003 - sh@suse.de
- Second part of fix for bug #19603: RPM groups not translated
  Moved gettext initialization out to from Y2PM.cc (in packagemanager)
  to YRpmGroupsTree.cc
* Tue Aug 12 2003 - ma@suse.de
- fixed PtrClasses: call to nonstatic member before class is
  completely initialized.
- 2.8.9
* Tue Jul 29 2003 - cschum@suse.de
- Suppress ".." in PathInfo::readDir().
* Mon Jul 28 2003 - cschum@suse.de
- Fix test suite for autobuild.
- 2.8.8
* Sun Jul 27 2003 - ma@suse.de
- Fixes to CallBack class.
- 2.8.7
* Tue Jul 15 2003 - ma@suse.de
- Added CallBack template classes.
- Added ProgressCounter incl. callback support.
- 2.8.6
* Tue Jul 08 2003 - cschum@suse.de
- Added support for "file:" URLs.
- Added Url class tests.
- Removed "get" suffix from Url accessor functions.
- Added Protocol enum to Url class.
- Changed Url::setPort/port() to use int value.
- 2.8.5
* Tue Jun 24 2003 - cschum@suse.de
- Fixed ExternalProgram::running().
* Tue Jun 17 2003 - cschum@suse.de
- Added FSize constructor with string argument.
* Wed Jun 11 2003 - arvin@suse.de
- add /usr/include/YaST2 to file list of devel subpackage
* Tue Jun 03 2003 - ma@suse.de
- Build fix: Don't package unmaintained validate_* programs at all.
- Added PathInfo::zipType
- 2.8.2
* Fri May 30 2003 - mvidner@suse.de
- Build fix: package also validate_packages_lang, validate_selection.
- 2.8.1
* Tue Apr 22 2003 - ma@suse.de
- 2.8.0
* Tue Apr 22 2003 - cschum@suse.de
- Also use separate GPG home dir when running as non-root (#26360).
* Fri Mar 14 2003 - ma@suse.de
- In vendor check isSuSE() return true for "UnitedLinux" too.
- 2.7.15
* Thu Mar 06 2003 - ma@suse.de
- Added 'int PathInfo::chmod( const Pathname & path, mode_t mode );'
- 2.7.14
* Mon Mar 03 2003 - ma@suse.de
- 2.7.13
* Thu Feb 27 2003 - lnussel@suse.de
- use std::set instead of hash in Ustring.h for speed reasons
- increase library version number to reflect binary incompatible changes
* Tue Feb 25 2003 - cschum@suse.de
- GPGCheck now also works for non-root users.
* Tue Feb 25 2003 - gs@suse.de
- 2.7.12   #include <assert.h> added
* Mon Feb 24 2003 - cschum@suse.de
- Don't report missing config file as error (#23799).
* Fri Feb 21 2003 - ma@suse.de
- 2.7.10
* Wed Feb 19 2003 - cschum@suse.de
- GPGCheck: Don't prompt user, when destination file can't be removed.
* Tue Feb 18 2003 - ma@suse.de
- Added PathInfo::userMay methods, evaluating file permissions according
  to current uid/gid.
- 2.7.9
* Tue Feb 11 2003 - sh@suse.de
- (Partial) fix for bug #19603: RPM groups not translated
  YRpmGroupsTree / YStringTree now use dgettext( "rpm-groups", msg )
  to retrieve the translations.
* Mon Feb 03 2003 - ma@suse.de
- Url::operator== should be 'const'.
- 2.7.7
* Wed Jan 29 2003 - ma@suse.de
- Added FSize::fillBlock (and FSize::fullBlock) to adjust (return adjusted)
  size to provided blocksize boundary.
- 2.7.6
* Thu Jan 23 2003 - ma@suse.de
- Added class PathInfo::devino_cache. Standalone simple cache
  remembering device/inode to detect hardlinks.
- 2.7.5
- Added class PathInfo::stat_mode. Standalone wrapper class for mode_t
  values (filetype and protection) as derived from ::stat().
- 2.7.4
- Added stringutil::splitToLines. Split string into a list of lines
  using per default '\n' as line delimiter.
- Added stringutil::dumpOn. Helper for stream output of string list
  and vector.
- 2.7.3
* Wed Jan 22 2003 - cschum@suse.de
- Added numstring, hexstring and optstring functions for long long
  parameters.
* Wed Dec 18 2002 - cschum@suse.de
- Added Url::operator==().
- Added PathInfo::copy().
- Cleaned up GPGCheck class.
- Folded TaggedParser::lookupYouEndTag() into TaggedParser::lookupEndTag().
* Thu Nov 14 2002 - ma@suse.de
- Fixed bug that inhibits logging on big-endian architectures.
- 2.7.1
* Thu Nov 14 2002 - cschum@suse.de
- Added SysConfig class for accessing /etc/sysconfig/* files.
* Mon Oct 14 2002 - ma@suse.de
- Fixed TagRetrievalPos. Failed to read multiline entries containing
  lines longer than 1024 byte.
- 2.6.21
* Wed Oct 09 2002 - ma@suse.de
- Fixed pathInfo::copy_dir. Check for existing target dir didn't work.
- 2.6.20
* Wed Oct 02 2002 - cschum@suse.de
- Added support for YOU-style localized multiline tags.
- 2.6.19
* Wed Sep 11 2002 - kkaempf@suse.de
- Handle empty values in TaggedParser more gracefully
- 2.6.18
* Tue Sep 10 2002 - ma@suse.de
- Added LangCode::hasCountry() and LangCode::languageOnly()
- 2.6.17
* Tue Sep 10 2002 - arvin@suse.de
- reduce logging (bug #19289)
* Tue Sep 10 2002 - ma@suse.de
- add PathInfo::rename()
- 2.6.15
* Mon Sep 09 2002 - lnussel@suse.de
- do not output password by default, use saveAsString if you need it
* Sun Sep 08 2002 - kkaempf@suse.de
- ignore case of end tags when parsing
- 2.6.13
* Fri Sep 06 2002 - kkaempf@suse.de
- dont output stderr of "diff" to console
- 2.6.12
* Thu Sep 05 2002 - kkaempf@suse.de
- improve Rep handling
- improve Url handling
- count sizes in 1024, not 1000
- 2.6.11
* Tue Sep 03 2002 - kkaempf@suse.de
- add vendor checks
- improve TaggedParser/TaggedFile to read old common.pkd format
- 2.6.10
* Tue Sep 03 2002 - mvidner@suse.cz
- kdoc cleanup: better cross references and fixed some parsing issues.
* Sun Sep 01 2002 - kkaempf@suse.de
- add Vendor hash
- 2.6.9
* Wed Aug 28 2002 - kkaempf@suse.de
- add PathInfo::copy_file2dir()
- 2.6.8
* Wed Aug 28 2002 - kkaempf@suse.de
- add PathInfo::copy_dir()
- 2.6.7
* Sun Aug 25 2002 - kkaempf@suse.de
- add TaggedFile and TaggedParser for easier packages parsing
* Fri Aug 23 2002 - kkaempf@suse.de
- drop BitField implementation.
* Wed Aug 21 2002 - kkaempf@suse.de
- add group tag cache
* Sun Aug 18 2002 - kkaempf@suse.de
- add TagCacheRetrievalPtr
- add reference pointer statistics
* Fri Aug 16 2002 - kk@suse.de
- split off core logging functions for use by liby2util
  and yast2-core
* Thu May 16 2002 - ma@suse.de
- Initial version.
